## ros-galactic-angles 1.14.0

=== debian/changelog ===
ros-galactic-angles (1.14.0-1focal) focal; urgency=high

  * ROS 2 Python Port (#37 <https://github.com/ros/angles/issues/37>) (#38 <https://github.com/ros/angles/issues/38>)
  * Fix M_PI on Windows (#34 <https://github.com/ros/angles/issues/34>) (#36 <https://github.com/ros/angles/issues/36>)
  * Contributors: David V. Lu!!, Akash

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 12 Jul 2022 00:00:00 -0000

ros-galactic-angles (1.12.4-1focal) focal; urgency=high

  * Upgrade to setuptools (#23 <https://github.com/ros/angles/issues/23>)
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-angles (1.12.3-1focal) focal; urgency=high

  * Update the angle normalization function to a simpler implementation (#19 <https://github.com/ros/angles/issues/19>) (#21 <https://github.com/ros/angles/issues/21>)
    * Update the angle normalization function for a simpler alternative
    * Simplify 2*pi angle wrapping.
    * Simplify/fasten the C++ implementation of angle normalization (removes one fmod call)
  * Contributors: Alexis Paques

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 11 Mar 2020 00:00:00 -0000

ros-galactic-angles (1.12.2-1focal) focal; urgency=high

  * Added support for "large limits" (#16 <https://github.com/ros/angles/issues/16>)
    * Added support for "large limits"
    * shortest_angle_with_large_limits in python
  * Contributors: Franco Fusco

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 08 Jan 2020 00:00:00 -0000

ros-galactic-angles (1.12.1-1focal) focal; urgency=high

  * Adding export lines to CMakeLists.txt (#14 <https://github.com/ros/angles/issues/14>)
    * Adding export lines to CMakeLists.txt
    This is needed for dependent packages to pick up the include
    directory
  * Contributors: Carl Delsey

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 20 Nov 2018 00:00:00 -0000

ros-galactic-angles (1.12.0-1focal) focal; urgency=high

  * update for ament and ros2 (#12 <https://github.com/ros/angles/issues/12>)
  * Small documentation updates.
  * enable for win10 ros2
  * Contributors: Brian Fjeldstad, Jonathan Binney, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-galactic-angles (1.9.11-1focal) focal; urgency=high

  * Add a python implementation of angles
  * Do not use catkin_add_gtest if CATKIN_ENABLE_TESTING
  * Contributors: David V. Lu, David V. Lu!!, Ryohei Ueda

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Apr 2017 00:00:00 -0000

ros-galactic-angles (1.9.10-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml
  * Simply and improve performance of shortest_angular_distance(). adding two unit test cases
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Derek King, Lukas Bulwahn, Scott K Logan, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 29 Dec 2014 00:00:00 -0000

ros-galactic-angles (1.9.9-1focal) focal; urgency=high

  * catkin as a buildtool dependency
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 23 Mar 2013 00:00:00 -0000

ros-galactic-angles (1.9.8-1focal) focal; urgency=high

  * Removed 'copyright' tag from package.xml
  * Contributors: William Woodall

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Dec 2012 00:00:00 -0000

ros-galactic-angles (1.9.7-1focal) focal; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 21:23:00 -0000

ros-galactic-angles (1.9.6-1focal) focal; urgency=high

  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 15:39:00 -0000

ros-galactic-angles (1.9.5-1focal) focal; urgency=high

  * fixes to build
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 16 Sep 2012 18:11:00 -0000

ros-galactic-angles (1.9.4-1focal) focal; urgency=high

  * rename the include folder to angles as it should be
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 16 Sep 2012 01:24:00 -0000

ros-galactic-angles (1.9.3-1focal) focal; urgency=high

  * fix relative path
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 03 Sep 2012 00:55:00 -0000

ros-galactic-angles (1.9.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 03 Sep 2012 00:32:00 -0000

ros-galactic-angles (1.9.1-1focal) focal; urgency=high

  * add proper manifest
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jul 2012 00:00:00 -0000

ros-galactic-angles (1.9.0-1focal) focal; urgency=high

  * fix the test for the new headers
  * fix the guard
  * package builds with catkin
  * remove useless header
  * copying from geometry/
  * Contributors: Ioan Sucan, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jul 2012 00:00:00 -0000
